{-----------------------------------------------------------------------------
The contents of this file are subject to the Mozilla Public License
Version 1.1 (the "License"); you may not use this file except in compliance
with the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/MPL-1.1.html

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either expressed or implied. See the License for
the specific language governing rights and limitations under the License.

The Original Code is: JvCreatedWith.PAS, released on 2001-02-28.

The Initial Developer of the Original Code is Sbastien Buysse [sbuysse@buypin.com]
Portions created by Sbastien Buysse are Copyright (C) 2001 Sbastien Buysse.
All Rights Reserved.

Contributor(s): Michael Beck [mbeck@bigfoot.com].

Last Modified: 2000-02-28

You may retrieve the latest version of this file at the Project JEDI home page,
located at http://www.delphi-jedi.org

Known Issues:
-----------------------------------------------------------------------------}
{$A+,B-,C+,D+,E-,F-,G+,H+,I+,J+,K-,L+,M-,N+,O+,P+,Q-,R-,S-,T-,U-,V+,W-,X+,Y+,Z1}
{$I JEDI.INC}

unit JvCreatedWith;

{$ObjExportAll On}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  extctrls;

Type
  TJvIm = (bu01,bu02,bu03,bu04,bu05,bu06,bu07,bu08,bu09,bu10,bu11,bu12,bu13,bu14,bu15);
  TJvCreatedWith = class(TImage)
  private
    FIm: TJvIm;
    procedure SetIm(Value:TJvIm);
  protected
  public
    constructor Create(AOwner: TComponent);override;
  published
    property ImageNumber:TJvIm read FIm write SetIm default bu01;
  end;

implementation

{$R RES_CreatedWith.res}

{************************************************************}
constructor TJvCreatedWith.Create(AOwner: TComponent);
begin
   inherited;
   FIm:=bu01;
   SetIm(Fim);
   if (csDesigning in ComponentState) then
     self.AutoSize:=true;
end;
{************************************************************}
procedure TJvCreatedWith.SetIm(Value: TJvIm);
var
   r:pchar;
begin
   FIm:=Value;
   case fim of
      bu01 : r:='D1';
      bu02 : r:='D2';
      bu03 : r:='D3';
      bu04 : r:='D4';
      bu05 : r:='D5';
      bu06 : r:='D6';
      bu07 : r:='D7';
      bu08 : r:='D8';
      bu09 : r:='D9';
      bu10 : r:='D10';
      bu11 : r:='D11';
      bu12 : r:='D12';
      bu13 : r:='D13';
      bu14 : r:='D14';
      bu15 : r:='D15';
      else r:='D1';
   end;
   self.picture.bitmap.Handle:=loadBitmap(hinstance,r);
end;
{************************************************************}

end.
